Loading...
Searching...
No Matches
BALL::PLP Class Reference

`#include <BALL/SCORING/COMPONENTS/PLP.h>`

Inheritance diagram for BALL::PLP:

## Classes

struct | NonBondedPairData

## Public Member Functions

| PLP () throw ()
| Default constructor.
| PLP (ForceField &force_field) throw ()
| Constructor.
| PLP (const PLP &MMFF94_non_bonded) throw ()
| Copy constructor.
virtual | ~PLP () throw ()
| Destructor.
const PLP & | operator= (const PLP &anb) throw ()
| Assignment operator.
void | setRotatableBonds (std::vector< Bond * > &bonds)
void | update (const std::vector< std::pair< Atom *, Atom * > > &atom_vector)
virtual void | clear () throw ()
| Clear method.
bool | operator== (const PLP &anb) throw ()
| Equality operator.
bool | setup (Options &options)
virtual double | updateEnergy () throw ()
| Calculates and returns the component's energy.
virtual void | updateForces () throw ()
| Calculates and returns the component's forces.
virtual void | update ()
double | getVDWEnergy () const
double | getESEnergy () const
Public Member Functions inherited from BALL::ForceFieldComponent
| ForceFieldComponent ()
| ForceFieldComponent (ForceField &force_field)
| ForceFieldComponent (const ForceFieldComponent &force_field_component)
virtual | ~ForceFieldComponent ()
virtual bool | setup ()
ForceField * | getForceField () const
void | setForceField (ForceField &force_field)
void | setName (const String &name)
String | getName () const
bool | isEnabled () const
void | setEnabled (bool state)
virtual double | getEnergy () const
double | updateScore ()
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
virtual void | setupLigand ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Static Public Member Functions

static Size | getAtomType (const Atom *atom)

## Static Protected Member Functions

static bool | isNSp3 (const Atom *at)
static bool | isSp3 (const Atom *at)

## Protected Attributes

double | es_energy_
double | vdw_energy_
ForceField * | force_field_
double | energy_
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const

## Detailed Description

Piecewise Linear Potential

Definition at line 18 of file PLP.h.

## Constructor & Destructor Documentation

## PLP() [1/3]

BALL::PLP::PLP | ( |  | ) |
throw | ( | ) |  |  |

Default constructor.

## PLP() [2/3]

BALL::PLP::PLP | ( | ForceField & | force_field | ) |
throw | ( | ) |  |  |

Constructor.

## PLP() [3/3]

BALL::PLP::PLP | ( | const PLP & | MMFF94_non_bonded | ) |
throw | ( | ) |  |  |

Copy constructor.

## ~PLP()

virtual BALL::PLP::~PLP | ( |  | ) |
throw | ( | ) |  |  |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::PLP::clear | ( |  | ) |
throw | ( | ) |  |  |

virtual

Clear method.

Reimplemented from BALL::ScoringComponent.

## getAtomType()

Size BALL::PLP::getAtomType | ( | const Atom * | atom | ) |

static

Returns the Gehlhaar Atom-Type (0, 1, 2 or 3) for the given atom.
0 : steric
1 : donor
2 : acceptor
3 : both
4 : metal

## getESEnergy()

double BALL::PLP::getESEnergy | ( |  | ) | const

## getVDWEnergy()

double BALL::PLP::getVDWEnergy | ( |  | ) | const

## isNSp3()

bool BALL::PLP::isNSp3 | ( | const Atom * | at | ) |

static protected

## isSp3()

bool BALL::PLP::isSp3 | ( | const Atom * | at | ) |

static protected

## operator=()

const PLP & BALL::PLP::operator= | ( | const PLP & | anb | ) |
throw | ( | ) |  |  |

Assignment operator.

## operator==()

bool BALL::PLP::operator== | ( | const PLP & | anb | ) |
throw | ( | ) |  |  |

Equality operator.

## setRotatableBonds()

void BALL::PLP::setRotatableBonds | ( | std::vector< Bond * > & | bonds | ) |

Set the rotatable bonds. This is necessary in order to be able to compute GHTorsion-Energies.
Note that setting the rotatable bonds must of course be done anew for each new ligand !!

## setup()

bool BALL::PLP::setup | ( | Options & | options | ) |

Setup this component according to the given options.

## update() [1/2]

virtual void BALL::PLP::update | ( |  | ) |

virtual

Update the pair list. This method is called by the force field whenever ForceField::update is called. It is used to recalculate the nonbonded pair list.

Exceptions

  BALL::Exception::TooManyErrors |

Reimplemented from BALL::ForceFieldComponent.

## update() [2/2]

void BALL::PLP::update | ( | const std::vector< std::pair< Atom *, Atom * > > & | atom_vector | ) |

virtual

Update this component using only the given atom-pairs

Reimplemented from BALL::ScoringComponent.

## updateEnergy()

virtual double BALL::PLP::updateEnergy | ( |  | ) |
throw | ( | ) |  |  |

virtual

Calculates and returns the component's energy.

Reimplemented from BALL::ForceFieldComponent.

## updateForces()

virtual void BALL::PLP::updateForces | ( |  | ) |
throw | ( | ) |  |  |

virtual

Calculates and returns the component's forces.

Reimplemented from BALL::ForceFieldComponent.

## Member Data Documentation

## es_energy_

double BALL::PLP::es_energy_

protected

Definition at line 115 of file PLP.h.

## vdw_energy_

double BALL::PLP::vdw_energy_

protected

Definition at line 118 of file PLP.h.